<p-confirmDialog header="Delete child confirmation" icon="pi pi-exclamation-triangle"></p-confirmDialog>

<div class="children-page">

<p-fieldset legend="{{'CHILDREN'|translate}}">
    <button type="button" class="add-button" (click)="addChild()" pButton> 
      <i class="pi pi-plus"></i>
    </button>
        <p-table [value]="children">
            <ng-template pTemplate="header">
                <tr>
                    <th translate>Name</th>
                    <th translate>Actions</th>
                </tr>
            </ng-template>
            <ng-template pTemplate="body" let-child>
                <tr>
                    <td>
                        {{child['firstName'] + ' ' + child['lastName']}}
                    </td>
                    <td>
                        <button type="button" class="reject-button" icon="pi pi-times" label="{{'DELETE'|translate}}" (click)="deleteChild(child)" pButton></button>
                    </td>
                </tr>
            </ng-template>
        </p-table>
    </p-fieldset>
</div>
